package com.buy507.mall.model;

//import javafx.scene.chart.PieChart;

public class TmsPermission {

    private long id;//主键ID

    private String name;//名称

    private String value;//权限值

    private String icon;//图标地址

    private Integer type;//权限类型

    private String uri;//前端资源路径

    private Integer status;//启用状态

    //private PieChart.Data createTime;//创建时间

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getUri() {
        return uri;
    }

    public void setUri(String uri) {
        this.uri = uri;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

   /* public PieChart.Data getCreateTime() {
        return createTime;
    }

    public void setCreateTime(PieChart.Data createTime) {
        this.createTime = createTime;
    }*/
}
